
$root_path="C:\Games"

Write-Host ""
Write-Host "  Install dir    :" $root_path

$current_dir=Get-Location

$current_name=(Get-Item $current_dir).Basename

Write-Host ""
Write-Host "  Current dir    :" $current_name

$metada_vdf=Get-Content $current_dir"\official\metadata.vdf"

$rf2_id=$null
$rf2_item=$null

foreach ($line in $metada_vdf) {
    $param=$line.Split('"')
    if ($param[1] -contains "appid") { 
        $rf2_id=$param[3]
    }
    if ($param[1] -contains "publishedfileid") { 
        $rf2_item=$param[3]
    }
}

if (!$rf2_id) { 
    Write-Host ""
    Write-Host "  ERROR : No appid in" $current_dir"\official\metadata.vdf"
    Write-Host ""
    read-host "Press ENTER to quit "
    exit
}
if (!$rf2_item) { 
    Write-Host ""
    Write-Host "  ERROR : No publishedfileid in" $current_dir"\official\metadata.vdf"
    Write-Host ""
    read-host "Press ENTER to quit "
    exit
}

Write-Host ""
Write-Host "  Download item  :" $rf2_id" / "$rf2_item

$steamcmd_path=$root_path + "\steamcmd\steamcmd.exe"
$steamcmd_dir=$root_path + "\steamcmd"

Write-Host ""
Write-Host "  Steam cmd path :" $steamcmd_path

$argument_list="+login anonymous +workshop_download_item " + $rf2_id + " " + $rf2_item + " +quit"

$processOptions = @{
    FilePath = $steamcmd_path
    WorkingDirectory = $steamcmd_dir
    ArgumentList = $argument_list
}

Write-Host "  ArgumentList   :" $argument_list

Write-Host ""

Start-Process @processOptions -NoNewWindow -Wait

Write-Host ""

$content_path=$steamcmd_dir + "\steamapps\workshop\content\" + $rf2_id + "\" + $rf2_item

Write-Host "  Content path   :" $content_path

$rfcmp_dir=$current_dir.path + "\official\content"

if (Test-Path -Path $content_path) {
    if( (Get-ChildItem $content_path | Measure-Object).Count -eq 0) {
        Write-Host ""
        Write-Host "  ERROR : No files in" $content_path
        Write-Host ""
        read-host "Press ENTER to quit "
        exit
    }
} else {
    Write-Host ""
    Write-Host "  ERROR :" $content_path" not existing"
    Write-Host ""
    read-host "Press ENTER to quit "
    exit
}

Write-Host ""
Write-Host "  Destination    :" $rfcmp_dir

Remove-Item $rfcmp_dir"\*.rfcmp" -Recurse

Get-ChildItem -Path $content_path"\*.rfcmp" -Recurse | Move-Item -Destination $rfcmp_dir

Write-Host ""
Write-Host "  Deleted dir    : "$content_path

Remove-Item $content_path -Recurse

Write-Host ""
read-host "Press ENTER to quit "